%define	upstream_name    MailTools
%define upstream_version 2.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A set of perl modules related to mail applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Net::Domain) >= 1.50.0
BuildRequires: perl(Net::SMTP) >= 1.30.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is MailTools, a set of perl modules related to mail applications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Mail
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.120.0-2.mga3
+ Revision: 369505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.120.0-1.mga3
+ Revision: 342366
- update to 2.12

* Fri Aug 31 2012 kharec <kharec> 2.110.0-1.mga3
+ Revision: 286261
- update to 2.11

* Sat Feb 25 2012 kharec <kharec> 2.90.0-1.mga2
+ Revision: 214594
- update to 2.09

* Wed Jun 15 2011 jquelin <jquelin> 2.80.0-1.mga2
+ Revision: 107067
- update to 2.08

* Wed Jan 19 2011 jquelin <jquelin> 2.70.0-1.mga1
+ Revision: 24210
- using meta.yml
- imported package perl-MailTools

